Go Down

Topic: Arduino 1.8.9 cannot install Esp8266 (Read 421 times) previous topic - next topic

hoacvxd

Please help me this problem
I've shown: File → Preferences, enter the textbox Additional Board Manager URLs add the following link: http://arduino.esp8266.com/stable/package_esp8266com_index.json
Then go to Tool → Board → Boards Manager then get the following message:

Code: [Select]
Skipping contributed index file C:\Users\hoacv\AppData\Local\Arduino15\package_esp8266com_index.json, parsing error occured:
com.fasterxml.jackson.core.JsonParseException: Unrecognized token 'Dropping': was expecting ('true', 'false' or 'null')
 at [Source: (FileInputStream); line: 1, column: 10]
Skipping contributed index file C:\Users\hoacv\AppData\Local\Arduino15\package_esp8266com_index.json, parsing error occured:
com.fasterxml.jackson.core.JsonParseException: Unrecognized token 'Dropping': was expecting ('true', 'false' or 'null')
 at [Source: (FileInputStream); line: 1, column: 10]

Orange-

#1
May 11, 2019, 03:07 pm Last Edit: May 11, 2019, 03:10 pm by Orange-
Please help me this problem
I've shown: File → Preferences, enter the textbox Additional Board Manager URLs add the following link: http://arduino.esp8266.com/stable/package_esp8266com_index.json
Then go to Tool → Board → Boards Manager then get the following message:

+1

pert

The problem has been reported to the ESP8266 core for Arduino's maintainers and they are working on fixing it:
https://github.com/esp8266/Arduino/issues/6068

Orange-

Thanks  :o

A temp workaround:

delete the lines at the top of the file before the opening {

And then only install version 2.5.0 (2.5.1 seems to break)

Go Up